<h3 style="text-align: center;">PENGKAJIAN AWAL INSTALASI GAWAT DARURAT <br> RS.AZRA BOGOR</h3>

<p style="text-align: right;">RJ 04</p>
<hr>
<div class="container" fxLayout="column" fxLayoutAlign="center" fxLayoutGap="10px">
    <div>
        <table class="border">
            <tr>
                <td style="width: 30%">
                    <table>
                        <tr>
                            <td>Nama</td>
                            <td>: {{ dataPasienControls('Nama') }} </td>
                        </tr>
                        <tr>
                            <td>Tanggal Lahir</td>
                            <td>: {{ dataPasienControls('Tgl_Lahir') | date:'dd-MM-yyyy' }}</td>
                        </tr>
                        <tr>
                            <td>Tanggal</td>
                            <!-- <td>: {{ dataPasienControls('waktu_buat') | date: 'dd-MM-yyyy' }}</td> -->
                        </tr>
                    </table>
                </td>
                <td style="width: 30%">
                    <table>
                        <tr style="vertical-align : top;">
                            <td>Jenis Kelamin</td>
                            <td>: {{ jenisKelamin() }} </td>
                        </tr>
                        <tr style="vertical-align : top;">
                            <td>Umur</td>
                            <td>: {{ dataPasienControls('Umur_Masuk') }} Tahun</td>
                        </tr>
                        <tr>
                            <td>Jam</td>
                            <td>: 12:12 </td>
                        </tr>
                    </table>
                </td>
                <td style="width: 40%">
                    <table>
                        <tr>
                            <td>Nomor RM </td>
                            <td>: {{ dataPasienControls('kd_RM') }} </td>
                        </tr>
                        <tr>
                            <td>Poli</td>
                            <td>:</td>
                        </tr>
                        <tr>
                            <td>Triase</td>
                            <td>
                                <p style="margin:0; padding: 0">:
                                    <span [innerHTML]="checkedIcon(1, pengkajianControls('triase'))"></span> Merah 
                                    <span [innerHTML]="checkedIcon(2, pengkajianControls('triase'))"></span> Kuning
                                    <span [innerHTML]="checkedIcon(3, pengkajianControls('triase'))"></span> Hijau
                                    <span [innerHTML]="checkedIcon(4, pengkajianControls('triase'))"></span> Hitam
                                </p>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
</div>


<div class="container border" style="padding: 5px;" fxLayout="column" fxLayoutAlign="center" *ngIf="formPengkajianIGD">
    <h3>A. Pengkajian Keperawatan</h3>
     <div class="item">
        <label>Triase</label>
        <table class="table">
            <thead>
                <tr style="text-align: center;">
                    <th>PEMERIKSAAAN</th>
                    <th>MERAH</th>
                    <th>KUNING</th>
                    <th>HIJAU</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td style="text-align: center;">JALAN NAFAS</td>
                    <td>
                        <p>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('jalan_nafas_sumbatan(merah)'))"></span> Sumbatan
                        </p>
                    </td>
                    <td>
                         <p>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('jalan_nafas_bebas(kuning)'))"></span> Bebas <br>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('jalan_nafas_ancaman(kuning)'))"></span> Anacaman 
                        </p>
                    </td>
                    <td>
                        <p>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('jalan_nafas_bebas(hijau)'))"></span> Bebas 
                        </p>
                    </td>
                </tr>
                <tr>
                    <td  style="text-align: center;">PERNAFASAN</td>
                    <td>
                        <p>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('pernafasan_henti_nafas(merah)'))"></span> Henti Nafas
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('pernafasan_bradipnea(merah)'))"></span> Bradipnea
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('pernafasan_sianosis(merah)'))"></span> Sianosis
                        </p>
                    </td>
                    <td>
                         <p>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('jalan_nafas_bebas(kuning)'))"></span> Takipnea <br>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('pernafasan_mengi(kuning)'))"></span> Mengi 
                        </p>
                    </td>
                    <td>
                        <p>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('pernafasan_frekuensi_nafas_normal(hijau)'))"></span> Frekuensi Nafas Normal 
                        </p>
                    </td>
                </tr>
                <tr>
                    <td  style="text-align: center;">SIRKULASI</td>
                    <td>
                        <p>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_henti_jantung(merah)'))"></span> Henti Jantung <br>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_nadi_tidak_teraba(merah)'))"></span> Nadi Tidak Teraba <br>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_akral_dingin(merah)'))"></span> Akral Dingin
                        </p>
                    </td>
                    <td>
                         <p>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_nadi_teraba_lemah(kuning)'))"></span> Nadi Teraba Lemah <br>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_bradikardia(kuning)'))"></span> Bradikardia <br>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_takikardi(kuning)'))"></span> Takikardi <br>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_pucat(kuning)'))"></span> Pucat <br>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_akral_dingin(kuning)'))"></span> Akral Dingin <br>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_crt_2_detik(kuning)'))"></span> CRT > 2 detik <br>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_nyeri_dada(kuning)'))"></span> Nyeri Dada
                        </p>
                    </td>
                    <td>
                        <p>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_nadi_kuat(hijau)'))"></span> Nadi Kuat <br>
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('sirkulasi_frekuensi_nadi_normal(hijau)'))"></span> Frekuensi nadi normal
                        </p>
                    </td>
                </tr>
            </tbody>
        </table>
        <table>
            <tbody>
                <tr>
                    <td>Alasan Penggolongan triase</td>
                    <td>:{{ pengkajianControls('jalan_nafas_sumbatan(merah)') }}</td>
                </tr>
                <tr>
                    <td>Informasi Didapat dari</td>
                    <td>
                        <p style="margin: 0; padding: 0;">:
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('informasi_didapat_dari_auto_anamnesa'))"></span> Auto-anamnesa
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('informasi_didapat_dari_auto_anamnesa'))"></span> Hetero-anamnesa,
                            <span>Nama: {{ pengkajianControls('informasi_didapat_dari_hetero_anamnesa_nama') }}</span>
                            <span>Hubungan: {{ pengkajianControls('informasi_didapat_dari_hetero_anamnesa_hubungan') }}</span>
                        </p>
                    </td>
                </tr>
                <tr>
                    <td>Cara Masuk</td>
                    <td>
                        <p style="margin: 0; padding: 0;">:
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('cara_masuk'))"></span> Jalan Tanpa Bantuan
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('cara_masuk'))"></span> Tempat tidur dorong,
                            <span [innerHTML]="checkedIcon(3, pengkajianControls('cara_masuk'))"></span> Jalan Dengan Bantuan <br>
                            <span [innerHTML]="checkedIcon(4, pengkajianControls('cara_masuk'))"></span> Lainnya: {{ pengkajianControls('cara_masuk_lainnya') }}
                        </p>
                    </td>
                </tr>
                <tr>
                    <td>Asal Masuk</td>
                    <td>
                        <p style="margin: 0; padding: 0;">:
                            <span [innerHTML]="checkedIcon(1, pengkajianControls('asal_masuk_non_rujukan'))"></span> Non Rujukan
                            <span [innerHTML]="checkedIcon(2, pengkajianControls('asal_masuk_non_rujukan'))"></span> Lainnya : {{ pengkajianControls('asal_masuk_rujukan') }}
                        </p>
                    </td>
                </tr>
                <tr>
                    <td>Riwayat Penyakit Sekarang</td>
                    <td>
                        {{ pengkajianControls('riwayat_penyakit_sekarang') }}
                    </td>
                </tr>
                <tr>
                    <td>Riwayat Penyakit dahulu</td>
                    <td>
                        {{ pengkajianControls('riwayat_penyakit_dahulu') }}
                    </td>
                </tr>
                <tr>
                    <td>Riwayat Pengobatan sebelumnya</td>
                    <td>
                        {{ pengkajianControls('riwayat_pengobatan_sebelumnya') }}
                    </td>
                </tr>
            </tbody>
        </table>
     </div>

     <div class="item">
         <label>I. Fungsional :</label>
         <div style="margin: 5px;">
            <p style="margin: 0; padding: 0;">
                <span [innerHTML]="checkedIcon(1, pengkajianControls('aktifitas_sehari_hari'))"></span> Mandiri
                <span [innerHTML]="checkedIcon(2, pengkajianControls('aktifitas_sehari_hari'))"></span> Dengan bantuan
            </p>
        </div>
     </div>

    <div class="item" fxLayout="row wrap" fxLayoutGap="1%">
        <div fxFlex="100%">
            <label>V. Skala Nyeri</label>
        </div>
        <div fxFlex="100%">
            <div fxFlex="49%" fxLayout="column">
                <table fxFlex="100%" style="margin: 5px; text-align: center;">
                    <tr>
                        <td><span [innerHTML]="checkedIcon(0, pengkajianControls('skala_nyeri'))"></span> 0 </td>
                        <td><span [innerHTML]="checkedIcon(1, pengkajianControls('skala_nyeri'))"></span> 1 </td>
                        <td><span [innerHTML]="checkedIcon(2, pengkajianControls('skala_nyeri'))"></span> 2 </td>
                        <td><span [innerHTML]="checkedIcon(3, pengkajianControls('skala_nyeri'))"></span> 3 </td>
                        <td><span [innerHTML]="checkedIcon(4, pengkajianControls('skala_nyeri'))"></span> 4 </td>
                        <td><span [innerHTML]="checkedIcon(5, pengkajianControls('skala_nyeri'))"></span> 5 </td>
                        <td><span [innerHTML]="checkedIcon(6, pengkajianControls('skala_nyeri'))"></span> 6 </td>
                        <td><span [innerHTML]="checkedIcon(7, pengkajianControls('skala_nyeri'))"></span> 7 </td>
                        <td><span [innerHTML]="checkedIcon(8, pengkajianControls('skala_nyeri'))"></span> 8 </td>
                        <td><span [innerHTML]="checkedIcon(9, pengkajianControls('skala_nyeri'))"></span> 9 </td>
                        <td><span [innerHTML]="checkedIcon(10, pengkajianControls('skala_nyeri'))"></span> 10 </td>
                    </tr>
                </table>
                <img src="/assets/images/nyeri.png" fxFlex="100%" style="height: 100%; width: 100%; margin-bottom: 12px;">
            </div>
            <div fxFlex="49%" class="border">
                <table style="margin: 2px">
                    <tr>
                        <td>Nyeri di provokasi oleh:</td>
                        <td>{{ pengkajianControls('nyeri_diprovokasi_oleh') }}</td>
                    </tr>
                    <tr>
                        <td>Sifat Nyeri:</td>
                        <td>{{ pengkajianControls('sifat_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Lokasi nyeri:</td>
                        <td>{{ pengkajianControls('lokasi_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Penjalaran nyeri:</td>
                        <td>{{ pengkajianControls('penjalaran_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Skala nyeri:</td>
                        <td>{{ pengkajianControls('skala_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Durasi nyeri:</td>
                        <td>{{ pengkajianControls('durasi_nyeri') }}</td>
                    </tr>
                    <tr>
                        <td>Frekuensi:</td>
                        <td>{{ pengkajianControls('frekuensi') }}</td>
                    </tr>
                </table>
            </div>
        </div>

        <div fxFlex="100%" fxLayout="column">
            <div  fxFlex="49%">
                <table>
                    <tr>
                        <td><span [innerHTML]="checkedIcon('', pengkajianControls('nyeri'))"></span> Tidak Ada nyeri </td>
                        <td><span [innerHTML]="checkedIcon(1, pengkajianControls('nyeri'))"></span> Nyeri Akut </td>
                        <td><span [innerHTML]="checkedIcon(2, pengkajianControls('nyeri'))"></span> Nyeri Kronis </td>
                    </tr>
                </table>
            </div>
            <div fxFlex="100%">
                <table>
                    <tr>
                        <td colspan="5">Nyeri hilang bila:</td>
                    </tr>
                    <tr>
                        <td><span [innerHTML]="checkedIcon(1, pengkajianControls('nyeri_hilang_bila'))"></span> Minum Obat </td>
                        <td><span [innerHTML]="checkedIcon(2, pengkajianControls('nyeri_hilang_bila'))"></span> Istirahat </td>
                        <td><span [innerHTML]="checkedIcon(3, pengkajianControls('nyeri_hilang_bila'))"></span> Mendengar musik </td>
                        <td><span [innerHTML]="checkedIcon(4, pengkajianControls('nyeri_hilang_bila'))"></span> Berubah Posisi / tidur </td>                
                        <td><span [innerHTML]="checkedIcon(5, pengkajianControls('nyeri_hilang_bila'))"></span> Lain-lain : {{  pengkajianControls('nyeri_hilang_bila_lain_lain') }} </td>
                    </tr>
                </table>
            </div>
        </div>

    </div>


    <div class="item">
        <label>III. Pengkajian Risiko Cedera/Jatuh</label>
        <div style="margin: 5px;">
            <p>
                a. Perhatikan cara berjalan pasien saat akan duduk di kursi. Apakah tampak tidak seimbang (sempoyongan/limbung)? <br>
                <span [innerHTML]="checkedIcon(1, pengkajianControls('sempoyongan'))"></span> Ya
                <span [innerHTML]="checkedIcon(2, pengkajianControls('sempoyongan'))"></span> Tidak
            </p>
            <p>
                b. Apakah pesien memengang pinggiran kursi atau meja atau benda lain sebagai penopang saat akan duduk? <br>
                <span [innerHTML]="checkedIcon(1, pengkajianControls('penopang'))"></span> Ya
                <span [innerHTML]="checkedIcon(2, pengkajianControls('penopang'))"></span> Tidak
            </p>
        </div>
        <div style="margin: 5px">
            <p>Hasil :</p>
            <p>
                <span [innerHTML]="checkedIcon(1, skriningRisiko)"></span> Tidak Beresiko (tidak ditemukan a dan b)
                <span [innerHTML]="checkedIcon(2, skriningRisiko)"></span> Risiko Rendah (ditemukan a atau b)
                <span [innerHTML]="checkedIcon(3, skriningRisiko)"></span> Risiko Tinggi (ditemukan a dan b)
            </p>
        </div>
    </div>

    <div class="item">
        <label>IV. Skrining Nutrisi</label>
        <div style="margin: 5px;">
            <div>
                <b>Malnutrition Skreening Tools (MST) Untuk Pasien Dewasa</b>
                <div style="margin:5px">
                    <label>1. Apakah ada penurunan berat badan yang tidak diinginkan selama 6 bulan terakhir?</label>
                    <table>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('penurunan_berat_badan'))"></span> Skor 0: Tidak ada penurunan berat badan 
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(2, pengkajianControls('penurunan_berat_badan'))"></span> Skor 2: Tidak yakin (tanda: ukuran baju atau celana menjadi longgar)
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Ada penurunan berat badan
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(3, pengkajianControls('penurunan_berat_badan'))"></span>  Skor 1: 1-5 Kg
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(4, pengkajianControls('penurunan_berat_badan'))"></span> Skor 2: 6-10 Kg
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(5, pengkajianControls('penurunan_berat_badan'))"></span> Skor 3: 11-15 Kg
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(6, pengkajianControls('penurunan_berat_badan'))"></span> Skor 4: 15 Kg
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(7, pengkajianControls('penurunan_berat_badan'))"></span> Skor 2: tidak tahu
                            </td>
                        </tr>
                    </table>
                </div>

                <div style="margin: 5px;">
                    <b>2. Apakah asupan makanan menurun yang dikarenakan adanya penurunan nafsu makan / kesulitan menerima makanan?</b>
                    <table>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('kesulitan_menerima_makanan'))"></span> Skor 0: Tidak
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(2, pengkajianControls('kesulitan_menerima_makanan'))"></span> Skor 1: Ya
                            </td>
                        </tr>
                    </table>
                </div>

                <div style="margin: 5px;">
                    <b>3. Apakah diagnosa pasien berhubungan dengan gizi?</b>
                    <table>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('diagnosa_berhubungan_dengan_gizi'))"></span> Skor 0: Tidak
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <span [innerHTML]="checkedIcon(2, pengkajianControls('diagnosa_berhubungan_dengan_gizi'))"></span> Skor 1: Ya
                            </td>
                        </tr>
                    </table>
                </div>

                <p style="margin: 0;">
                    <label>Total Skor A + B + C = {{ skor_bb + skor_nafsu_makan + skor_gizi }}</label> <br>
                    <b>Keterangan</b> <br>
                    Skor 0-1: Tidak beresiko, Skor > 2 : Beresiko (asuhan gizi oleh dietisien)
                </p>

            </div>
        </div>
    </div>
    
    <div class="item">
        <label>V. MASALAH KEPERAWATAN DAN EVALUASI</label>
        <div style="margin: 5px;">
            <table class="table">
                <thead>
                    <tr style="text-align: center;">
                        <th>Masalah Keperawatan</th>
                        <th>Evaluasi</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <p> 
                                <span [innerHTML]="checkedIcon(true, (pengkajianControls('gcs_e') != null || pengkajianControls('gcs_v') != null || pengkajianControls('gcs_m') != null))"></span> Penurunan Kesadaran
                            </p>

                        </td>
                        <td>
                            <p>
                                GCS:
                                <span>E = {{  pengkajianControls('gcs_e')}}</span>
                                <span>V = {{ pengkajianControls('gcs_v') }}</span>
                                <span>M = {{ pengkajianControls('gcs_m') }}</span>
                            </p>
                            {{ pengkajianControls('evaluasi_penurunan_kesadaran') }}
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p> 
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('evaluasi_kejang'))"></span> Kejang
                            </p>
                        </td>
                        <td>
                            <p>
                                <span>
                                    {{ pengkajianControls('evaluasi_kejang') == 1 ?  'Ya' : 'Tidak' }}
                                </span>
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p> 
                                <span [innerHTML]="checkedIcon(true, (pengkajianControls('evaluasi_ketidak_efektifan_ronchi') != null ||  pengkajianControls('evaluasi_ketidak_efektifan_wheezing') != null || pengkajianControls('evaluasi_ketidak_efektifan_krekels') != null || pengkajianControls('evaluasi_ketidak_efektifan_stridor') != null))"></span> Ketidak efektifan / bersihan jalan nafas
                            </p>
                        </td>
                        <td>
                            <p>
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('evaluasi_ketidak_efektifan_ronchi'))"></span> Ronzhi <br>
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('evaluasi_ketidak_efektifan_wheezing'))"></span> Wheezing <br>
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('evaluasi_ketidak_efektifan_krekels'))"></span> Krekels <br>
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('evaluasi_ketidak_efektifan_stridor'))"></span> Stridor    
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p> 
                                <span [innerHTML]="checkedIcon(true, (pengkajianControls('evaluasi_sesak_ratraksi') != null ||  pengkajianControls('evaluasi_sesak_saturasi') != null))"></span> Sesak
                            </p>
                        </td>
                        <td>
                            <p> 
                                <span>{{ pengkajianControls('evaluasi_sesak_rr') }}</span> <br>
                                <span [innerHTML]="checkedIcon(true, pengkajianControls('evaluasi_sesak_ratraksi') )"></span> Rataksi <br>
                                <span [innerHTML]="checkedIcon(true, pengkajianControls('evaluasi_sesak_saturasi') )"></span> Saturasi 0<sub>2</sub>
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p> 
                                <span [innerHTML]="checkedIcon(true, (pengkajianControls('sifat_nyeri') != null))"></span> Nyeri
                            </p>

                        </td>
                        <td>
                            <p>
                                <span>
                                    {{ pengkajianControls('sifat_nyeri') != '' ? pengkajianControls('sifat_nyeri') : 'Tidak Ada nyeri'}}
                                </span>
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p> 
                                <span [innerHTML]="checkedIcon(true, (pengkajianControls('evaluasi_gangguan_hemodinamik_akral') != null || pengkajianControls('evaluasi_gangguan_hemodinamik_crt') != null))"></span> Gangguan hemodinamik
                            </p>
                        </td>
                        <td>
                            <p>
                                <span>Tekanan Darah :{{ pengkajianControls('tanda_vital_td') }}</span> <br>
                                <span>Nadi :{{ pengkajianControls('tanda_vital_nadi') }}</span> <br>
                                <span [innerHTML]="checkedIcon(1, pengkajianControls('evaluasi_gangguan_hemodinamik_akral'))"></span> Akral hangat
                                <span [innerHTML]="checkedIcon(2, pengkajianControls('evaluasi_gangguan_hemodinamik_akral'))"></span> Akral Dingin 
                                <br>
                                <span>CRT: {{ pengkajianControls('evaluasi_gangguan_hemodinamik_crt') }}</span>
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p> 
                                <span [innerHTML]="checkedIcon(true, ( pengkajianControls('evaluasi_gangguan_integritas_kulit_luka') != null || pengkajianControls('evaluasi_gangguan_integritas_kulit_gatal') != null || pengkajianControls('evaluasi_gangguan_integritas_kulit_merah') != null ))"></span> Gangguan integritas kulit
                            </p>
                        </td>
                        <td>
                            <p>
                                <span [innerHTML]="checkedIcon(1,  pengkajianControls('evaluasi_gangguan_integritas_kulit_luka'))"></span> Luka <br>
                                <span [innerHTML]="checkedIcon(1,  pengkajianControls('evaluasi_gangguan_integritas_kulit_gatal'))"></span> Gatal <br>
                                <span [innerHTML]="checkedIcon(1,  pengkajianControls('evaluasi_gangguan_integritas_kulit_merah'))"></span> Merah                            
                            </p>
                        </td>
                    </tr>

                    <tr>
                        <td>
                            <p> 
                                <span [innerHTML]="checkedIcon(true, (pengkajianControls('evaluasi_gangguan_keseimbangan_cairan_pendarahan') != null || pengkajianControls('evaluasi_gangguan_keseimbangan_cairan_intake') != null || pengkajianControls('evaluasi_gangguan_keseimbangan_cairan_output')))"></span> Gangguan keseimbangan cairan dan elektrolit
                            </p>
                        </td>
                        <td>
                            <p>
                                <span [innerHTML]="checkedIcon(1,  pengkajianControls('evaluasi_gangguan_keseimbangan_cairan_pendarahan'))"></span> Pendarahan <br>
                                <span [innerHTML]="checkedIcon(1,  pengkajianControls('evaluasi_gangguan_keseimbangan_cairan_intake'))"></span> Intake <br>
                                <span [innerHTML]="checkedIcon(1,  pengkajianControls('evaluasi_gangguan_keseimbangan_cairan_output'))"></span> Output                            
                            
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p> 
                                <span [innerHTML]="checkedIcon(true, pengkajianControls('tanda_vital_suhu') != null)"></span> Peningkatan suhu tubuh
                            </p>
                        </td>
                        <td>
                            <p>
                                <span>{{ pengkajianControls('tanda_vital_suhu') }} °C</span>
                            </p>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <p> 
                                <span [innerHTML]="checkedIcon(true, pengkajianControls('evaluasi_lain_lain') != null)"></span> Lain-Lain :
                            </p>
                        </td>
                        <td>
                            <p> 
                                <span>{{ pengkajianControls('evaluasi_lain_lain') }}</span>
                            </p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="item">
        <label>VI. PEMBERIAN INFUS / OBAT</label>
        <div style="margin: 5px">
            <table class="table">
                <thead>
                    <tr>
                        <th>Pukul</th>
                        <th>Nama infus / Obat</th>
                        <th>Dosis</th>
                        <th>Rute</th>
                        <th>Diperiksa oleh</th>
                        <th>Diberikan Oleh</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let alkes of pengkajianControls('alkes')">
                        <td>{{ alkes.Waktu_Pemberian_InfusObat | date: 'hh:mm:ss' }}</td>
                        <td>{{ alkes.Nm_Brg }}</td>
                        <td>{{ alkes.Dosis }}</td>
                        <td>{{ alkes.Rute }}</td>
                        <td>{{ alkes.Nm_Dokter }}</td>
                        <td>{{ alkes.Nm_perawat }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="item">
        <label>VII. TINDAKAN</label>
        <div style="margin: 5px">
            <table class="table">
                <thead>
                    <tr>
                        <th>Pukul</th>
                        <th>Tindakan</th>
                        <th>Nama & tanda tangan</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let tindakan of pengkajianControls('tindakan')">
                        <td>{{ tindakan.Waktu_Tindakan | date: 'hh:mm:ss' }}</td>
                        <td>{{ tindakan.Tindakan }}</td>
                        <td>{{ tindakan.Nm_Perawat }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

    <div class="item">
        <label>VIII. RISIKO INFEKSI NOSOKOMIAL :</label>
        <div style="margin: 5px;">
            <p>
                <span [innerHTML]="checkedIcon(1, pengkajianControls('risiko_infeksi_nosokomial_rencana_operasi'))"></span> Rencana Operasi / post operasi
                <span [innerHTML]="checkedIcon(1, pengkajianControls('risiko_infeksi_nosokomial_cateter_vena_central'))"></span> Cateter Vena Central
            </p>
            <p>
                <span [innerHTML]="checkedIcon(1, pengkajianControls('risiko_infeksi_nosokomial_cateter_vena_perfifer'))"></span> Cateter Vena Perifer
                <span [innerHTML]="checkedIcon(1, pengkajianControls('risiko_infeksi_nosokomial_cateter_urin'))"></span> Cateter Urin
                <span [innerHTML]="checkedIcon(1, pengkajianControls('risiko_infeksi_nosokomial_naso'))"></span> Naso Gastric Tube
            </p>
        </div>
    </div>

    <div class="item">
        <label>IX. KATEGORI PENYAKIT</label>
        <p>
            <span [innerHTML]="checkedIcon(1, pengkajianControls('kategori_penyakit'))"></span> Infeksius
            <span [innerHTML]="checkedIcon(2, pengkajianControls('kategori_penyakit'))"></span> Non Infeksius
        </p>
        <div style="margin: 5px">
            <label>OBSERVASI LANJUTAN</label>
            <table class="table">
                <thead>
                    <tr>
                        <th>Waktu</th>
                        <th>Kesadaran</th>
                        <th>Tekanan Darah</th>
                        <th>Nadi</th>
                        <th>Pernafasan</th>
                        <th>Suhu</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let observasi of pengkajianControls('observasilanjutan')">
                        <td>{{ observasi.Waktu_Observasi | date:'hh:mm:ss' }}</td>
                        <td>{{ observasi.Kesadaran }}</td>
                        <td>{{ observasi.Tekanan_Darah }}</td>
                        <td>{{ observasi.Nadi }}</td>
                        <td>{{ observasi.Pernafasan }}</td>
                        <td>{{ observasi.Suhu }}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>

</div>
